#include <avr/io.h>
#include <util/delay.h>
#include <stdio.h>
#include <stdlib.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>

#include "spi.h"


/*char message_1[50]="WELCOME";
char message_2[50]="TO";
char message_3[50]="SPARKFUN!";*/

void init_spi(void){
    sei();
    DDRB = (1<<CS)|(1<<MOSI)|(1<<SCK);
    SPCR = (1<<SPE)|(1<<SPR0);

}

uint8_t spi_exch(uint8_t output){
    SPDR = output;
    while(!(SPSR & 1<<SPIF));
    return SPDR;
}
